import greenfoot.*;  // (World, Actor, GreenfootImage und Greenfoot)

/**
 * Diese Klasse definiert eine Krabbe. Krabben leben auf dem Strand. Sie lieben
 * Sandwrmer (sehr lecker, vor allem die grnen).
 * 
 * Version: 3
 * 
 * In dieser Version wird die Krabbe durch die Tastatur gesteuert. Auerdem frisst sie
 * Wrmer, wenn sie welche findet.
 */

public class Crab extends Animal
{
    /** 
     *  Tut, was auch immer Krabben gerne tun. Diese Methode wird immer dann aufgerufen,
     *  wenn die Buttons 'Act' oder 'Run' in der Entwicklungsumgebung gedrckt werden.
     */
    public void act()
    {
        checkKeypress();
        move();
        lookForWorm();
    }
    
    /**
     * Prft, ob eine Steuertaste auf der Tastatur gedrckt wurde.
     * Wenn ja, reagiert die Methode entsprechend.
     */
    public void checkKeypress()
    {
        if (Greenfoot.isKeyDown("left")) 
        {
            turn(-4);
        }
        if (Greenfoot.isKeyDown("right")) 
        {
            turn(4);
        }
    }
    
    /**
     * Prft, ob wir auf einen Wurm gestoen sind.
     * Wenn ja, wird er gefressen. Wenn nein, passiert nichts.
     */
    public void lookForWorm()
    {
        if ( canSee(Worm.class) ) 
        {
            eat(Worm.class);
        }
    }
}