import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Hummer (Lobster). Hummer leben auf dem Strand. Sie fressen gerne Krabben. (Na ja, 
 * zumindest in unserem Spiel...)
 * 
 * Version: 2
 * 
 * In dieser Version bewegt sich der Hummer nach dem Zufallsprinzip. Wenn er auf eine Krabbe trifft,
 * frisst er sie. In dieser Version haben wir Sound hinzugefgt und das Spiel endet,
 * wenn ein Hummer die Krabbe frisst.
 */

public class Lobster extends Animal
{
    /**
     * Tut, was auch immer Hummer gerne tun.
     */
    public void act()
    {
        turnAtEdge();
        randomTurn();
        move();
        lookForCrab();
    }

    /**
     * Prft, ob wir den Rand der Welt erreicht haben. Wenn ja, wird ein wenig gewendet;
     * wenn nein, passiert nichts.
     */
    public void turnAtEdge()
    {
        if ( atWorldEdge() ) 
        {
            turn(17);
        }
    }

    /**
     * Entscheidet nach dem Zufallsprinzip, die aktuelle Richtung zu verlassen. Dabei wird
     * um eine zufllige Gradzahl nach links oder rechts gedreht.
     */
    public void randomTurn()
    {
        if(Greenfoot.getRandomNumber(100) > 90) {
            turn(Greenfoot.getRandomNumber(90)-45);
        }
    }

    /**
     * Versucht eine Krabbe zu fangen; d.h. prft, ob wir auf eine Krabbe gestoen sind.
     * Wenn ja, wird die Krabbe aus dem Spiel entfernt und die Ausfhrung des Programms beendet.
     */
    public void lookForCrab()
    {
        if ( canSee(Crab.class) ) 
        {
            eat(Crab.class);
            Greenfoot.playSound("au.wav");
            Greenfoot.stop();
        }
    }
}