/**
  *
  * description
  *
  * @version 1.0 from 15.02.2015
  * @author 
  */
import java.util.ArrayList;
public class Bankverwaltung {

  // Anfang Attribute
  private Konto aktuellesKonto;
  private ArrayList<Konto> kontenliste;
  // Ende Attribute
  
  public Bankverwaltung() {
    aktuellesKonto = null;
    kontenliste = new ArrayList<Konto>();
    kontenliste.add(new Konto(1, 1300, 1234,"Schmidt, Eric"));
    kontenliste.add(new Konto(2, 0, 1234,"Mischke, Erna"));
    kontenliste.add(new Konto(3, 25000, 1234,"Olsen, Egon"));
    kontenliste.add(new Konto(4, 530, 1234,"Jger, Franz"));
    kontenliste.add(new Konto(5, 2300, 1234,"Wachtel, Alois"));
  }
  
  // Anfang Methoden
  public void einzahlen(double pSaldo, int pNummer) {
    int index = this.nenneKontoIndex(pNummer);
    if (index != -1) {
      kontenliste.get(index).einzahlen(pSaldo);
    }
  }
  
  public void anmelden(int pNummer, int pPIN) {
    int index = this.nenneKontoIndex(pNummer);
    if (index != -1) {
      aktuellesKonto = kontenliste.get(index);
      aktuellesKonto.anmelden(pPIN);
      if (!aktuellesKonto.istAktiv()) {
        aktuellesKonto = null;
        System.out.println("PIN falsch!");
      }
    }
    else{
      System.out.println("Konto existiert nicht!");
    }
  }
  
  public void abmelden() {
    if (aktuellesKonto != null) {
      aktuellesKonto.abmelden();
    }
  }
  
  public boolean istAngemeldet() {
    if (aktuellesKonto == null) {
      return false;
    }
    else{
      return true;
    }
  }  
  
  public void abheben(double pSaldo) {
    if (aktuellesKonto != null) {
      aktuellesKonto.abheben(pSaldo);
    }
  }
  
  public void ueberweisen(double pSaldo, int pNummer) {
    if (aktuellesKonto != null) {
      int index = this.nenneKontoIndex(pNummer);
      if (index != -1) {
        aktuellesKonto.abheben(pSaldo);
        kontenliste.get(index).einzahlen(pSaldo);
      }
    }
  }
  
  public void druckeKontoliste() {
    for (Konto element: kontenliste) {
      System.out.println(element.getNummer()+" "+element.getBesitzer()+" "+element.getSaldo());
    }
  }  
  
  public void erzeugeKonto(int pNummer, String pBesitzer, int pPIN) {
    int index = this.nenneKontoIndex(pNummer);
    if (index == -1) {
      kontenliste.add(new Konto(pNummer, 0.0, pPIN, pBesitzer));
    }
  }
  
  private int nenneKontoIndex(int pNummer) {
    for (Konto element: kontenliste){ 
      if (pNummer == element.getNummer()) {
        return kontenliste.indexOf(element);
      }
    } 
    return -1;
  }
  
  private boolean istAktuellesKontoGedeckt() {
    return false;
  }
  
  public String getBesitzer() {
    if (aktuellesKonto != null){
      return aktuellesKonto.getBesitzer();
    }
    else{
      return null;
    }
  }
  
  public double getSaldo() {
    if (aktuellesKonto != null){
      return aktuellesKonto.getSaldo();
    }
    else{
      return -1;
    }
  }
  
  // Ende Methoden
  
}
