/**
  Klasse Konto
  @author T. Hempel
  @version 2015  
 */


class Konto {

  // Anfang Attribute
    private int nummer;
    private double saldo;
    private int pin;
    private String besitzer;
    private boolean aktiv;
  // Ende Attribute
  
  public Konto(int pNummer, double pSaldo, int pPIN, String pBesitzer) {
    nummer = pNummer;
    saldo = pSaldo;
    pin = pPIN;
    besitzer = pBesitzer;
    aktiv = false;
  }
  
  // Anfang Methoden
  public void einzahlen(double pBetrag) {
    saldo += pBetrag;
  }
  
  public void abheben(double pBetrag) {
    if (aktiv) {
      saldo -= pBetrag;
    }
  }
  
  public void ueberweisen(double pBetrag, Konto empfaenger) {
    if (aktiv){
      saldo -= pBetrag;
      empfaenger.einzahlen(pBetrag);
    }
  }
  
  public void anmelden(int pPIN) {
    if (pin == pPIN) {
      aktiv = true;
    }
  }
  
  public void abmelden() {
    aktiv = false;
  }
  
  public void setBesitzer(String pBesitzer) {
    besitzer = pBesitzer;
  }
  
  public double getSaldo() {
    return saldo;
  }
  
  public int getNummer() {
    return nummer;
  }
  
  public String getBesitzer() {
    return besitzer;
  }
  
  public boolean istAktiv() {
    return aktiv;
  }
  // Ende Methoden
}
